/*
   Prolog.cgi =>bytecode.cgi 
   
   Compile >azpc -p cgi2bytecgi.pl /e cgi2bytecgi.exe /no

   Useage: cgi2bytecgi queen.cgi queenB.cgi
   
*/

top_level:-
	get_parameter([A,B]),!,                                 % 引数はコンパイル元ファイル、出力ファイル
	see(A),
		get0(C),get_head(C,HeadL),name(Head,HeadL),     % 先頭一行を取得
		tell(tmp),write(':-publicall.'),nl,copy0,told,  % 仮ファイルの先頭に":-publicall."を追加し、元ファイルの先頭行以外をコピー
	seen,
	system('azpc -p tmp /byte'),
	see('tmp.b'),
		tell(B),write(Head),nl,copy0,told,
	seen,
	rename('tmp.b',[]).

top_level:- write(' Useage: >cgi2bytecgi queen.cgi queenB.cgi').

get_head(31,[]):-!.
get_head(X,[X|L]):-get0(A),get_head(A,L).
